xmonad-contrib-0.18.1: Community-maintained extensions for xmonad

Copyright | (C) 2007 Andrea Rossato David Roundy
License | BSD3
Maintainer |
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell2010

XMonad.Prompt.Workspace

Contents

- Usage
- For developers

Description

A workspace prompt for XMonad

Synopsis

- workspacePrompt :: XPConfig -> (String -> X ()) -> X ()
- newtype Wor = Wor String

# Usage

You can use this module with the following in your `xmonad.hs`:

    import XMonad.Prompt
    import XMonad.Prompt.Workspace

      , ((modm .|. shiftMask, xK_m     ), workspacePrompt def (windows . W.shift))

For detailed instruction on editing the key binding see the tutorial.

workspacePrompt :: XPConfig -> (String -> X ()) -> X () #

# For developers

newtype Wor #

Constructors

Wor String |

#### Instances

Instances details

XPrompt Wor # |
Instance details Defined in XMonad.Prompt.Workspace Methods showXPrompt :: Wor -> String # nextCompletion :: Wor -> String -> [String] -> String # commandToComplete :: Wor -> String -> String # completionToCommand :: Wor -> String -> String # completionFunction :: Wor -> ComplFunction # modeAction :: Wor -> String -> String -> X () #